declare enum Method {
    GET = "GET",
    POST = "POST",
    PUT = "PUT",
    PATCH = "PATCH",
    DELETE = "DELETE"
}
interface UseApiResponse<T> {
    data: T | undefined;
    isLoading: boolean;
    isError: boolean;
    error: Error | null;
}
declare const useApi: <TResponse, TData>(apiUrl: string, method: Method, body?: (BodyInit & TData) | undefined, headers?: HeadersInit) => UseApiResponse<TResponse>;
export { useApi, Method };
